complexType "AveragingPeriod"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-option-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | schedule*, (averagingDateTimes? | averagingObservations?)?, marketDisruption?
</...>

Content Model Elements (4):

  averagingDateTimes, averagingObservations, | marketDisruption (defined in AveragingPeriod complexType), schedule (defined in AveragingPeriod complexType)

All Direct / Indirect Based Elements (3):

  averagingDates, averagingPeriodIn, averagingPeriodOut

Known Usage Locations

- As direct type of elements (3):
  averagingDates, averagingPeriodIn, averagingPeriodOut

Annotation
Period over which an average value is taken.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="AveragingPeriod"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="schedule" type="AveragingSchedule"/> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="averagingDateTimes" type="DateTimeList"/> <xsd:element minOccurs="0" name="averagingObservations" type="AveragingObservationList"/> </xsd:choice> <xsd:element minOccurs="0" name="marketDisruption" type="MarketDisruption"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
averagingDateTimes

  Type: | DateTimeList, complex content

  An unweighted list of averaging observation date and times.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="averagingDateTimes" type="DateTimeList"/>

averagingObservations

  Type: | AveragingObservationList, complex content

  A weighted list of averaging observation date and times.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="averagingObservations" type="AveragingObservationList"/>

marketDisruption

  Type: | MarketDisruption, simple content

  The market disruption event as defined by ISDA 2002 Definitions.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="marketDisruption" type="MarketDisruption"/>

schedule

  Type: | AveragingSchedule, complex content

  A schedule for generating averaging observation dates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="schedule" type="AveragingSchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.